#ifndef OSGVISUALGUI_H
#define OSGVISUALGUI_H

#include <QtGui/QMainWindow>
#include "ui_osgvisualgui.h"

class QTextEdit;

class osgVisualGUI : public QMainWindow
{
	Q_OBJECT

public:
	osgVisualGUI(QWidget *parent = 0, Qt::WFlags flags = 0);
	~osgVisualGUI();

	/**
	* Intercepts closeEvents to perform userdef actions and finally accept the event.
	* Zu den Aktionen gehrt das Speichern der Einstellungen, das Schliessen das Debugfensters etc.
	* @return void
	* @param event: Abzufangender CloseEvent
	*/
	void closeEvent( QCloseEvent *event );

	void setDebug(QTextEdit* debug_);

private:
	void setupDockWidgets();
	void setupToolbars();
	void setupMenus();

	Ui::osgVisualGUIClass ui;

	/**
	 * Pointer to the debug widget
	 */ 
	QTextEdit* debug;

private slots:
	void on_actionToggle_bottom_right_corner_triggered();
	void on_actionToggle_bottom_left_corner_triggered();
	void on_actionToggle_top_right_corner_triggered();
	void on_actionToggle_top_left_corner_triggered();
	void on_actionAbout_This_Programm_triggered();
};

#endif // OSGVISUALGUI_H
